Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162794 - CAN-2005-2069 PADL Software PAM_LDAP TLS Plaintext Password
Summary: CAN-2005-2069 PADL Software PAM_LDAP TLS Plaintext Password
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: nss_ldap
Version: rhl7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://www.securityfocus.com/bid/14126
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 18:08 UTC by John Dalbec
Modified: 2007-08-30 20:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-30 20:04:14 UTC


Attachments (Terms of Use)

Description John Dalbec 2005-07-08 18:08:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
05.27.8 CVE: CAN-2005-2069
Platform: Linux
Title: PADL Software PAM_LDAP TLS Plaintext Password
Description: PAM_LDAP is the PAM module package designed to allow
authentication with LDAP servers via PAM-compliant authentication
mechanisms. It is reported to be vulnerable to a potential password
disclosure issue when used with TLS. The issue presents itself when
LDAP client connects to the master which was redirected by LDAP slave,
by using the same credentials but without TLS.
Ref: http://www.securityfocus.com/bid/14126 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 John Dalbec 2005-09-20 13:48:37 UTC
05.34.7 CVE: CAN-2005-2641
Platform: Unix
Title: PADL Software PAM_LDAP Authentication Bypass
Description: PAM_LDAP is the PAM module package designed to allow
authentication with LDAP servers via PAM-compliant authentication
mechanisms. PAM_LDAP is prone to an authentication bypass
vulnerability. When handling new password policy control, if the LDAP
server returns a passwordPolicyResponse control in a BindResponse
without the optional "error" field, PAM_LDAP will not fall through to
the account management module. Successful exploitation could allow an
unauthorized user to bypass authentication.
Ref: http://www.securityfocus.com/bid/14649 

Comment 2 Jesse Keating 2007-08-30 20:04:14 UTC
Fedora Legacy project has ended.  These will not be fixed by Fedora Legacy.


Note You need to log in before you can comment on or make changes to this bug.